# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache/Session.pm) perl(Apache/Session/Generate/MD5.pm) perl(Apache/Session/Lock/Null.pm) perl(Apache/Session/Serialize/Storable.pm) perl(Apache/Session/Store/DBI.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Apache-Session-SQLite3
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Use DBD::SQLite 1.x for Apache::Session storage
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AU/AUTRIJUS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module is an implementation of Apache::Session.  It uses the DBD::SQLite
backing store.  It requires DBD::SQLite version 1.00 or above, due to its use
of SQLite3 API for BLOB support.  Also, an extra `LastUpdated' field is
populated with the current `time()'.

There is no need to create the data source file beforehand; this module creates
the `session' table automatically.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%changelog
* Wed May 28 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

